<?php

$facebook = new Facebook(array(
  'appId'  => APP_FB_ID,
  'secret' => APP_FB_SECRET,
));

$user = $facebook->getUser();

if ($user) {
  try {
    // Proceed knowing you have a logged in user who's authenticated.
    $user_profile = $facebook->api('/me');
  } catch (FacebookApiException $e) {
    error_log($e);
    $user = null;
  }
}


if(!$user){
	$loginPage = $facebook->getLoginUrl(
		array(
			'canvas' => 1,
			'redirect_uri' => APP_FB_URL,
			'fbconnect' => 0,
			'scope' => FB_PERMISSIONS
		)
	);
	echo "<script type='text/javascript'>top.location.href = '$loginPage';</script>";
}

else{

	$unwanted_accents = array('Š'=>'S', 'š'=>'s', 'Ž'=>'Z', 'ž'=>'z', 'À'=>'A', 'Á'=>'A', 'Â'=>'A', 'Ã'=>'A', 'Ä'=>'A', 'Å'=>'A', 'Æ'=>'A', 'Ç'=>'C', 'È'=>'E', 'É'=>'E',
                            'Ê'=>'E', 'Ë'=>'E', 'Ì'=>'I', 'Í'=>'I', 'Î'=>'I', 'Ï'=>'I', 'Ñ'=>'N', 'Ò'=>'O', 'Ó'=>'O', 'Ô'=>'O', 'Õ'=>'O', 'Ö'=>'O', 'Ø'=>'O', 'Ù'=>'U',
                            'Ú'=>'U', 'Û'=>'U', 'Ü'=>'U', 'Ý'=>'Y', 'Þ'=>'B', 'ß'=>'Ss', 'à'=>'a', 'á'=>'a', 'â'=>'a', 'ã'=>'a', 'ä'=>'a', 'å'=>'a', 'æ'=>'a', 'ç'=>'c',
                            'è'=>'e', 'é'=>'e', 'ê'=>'e', 'ë'=>'e', 'ì'=>'i', 'í'=>'i', 'î'=>'i', 'ï'=>'i', 'ð'=>'o', 'ñ'=>'n', 'ò'=>'o', 'ó'=>'o', 'ô'=>'o', 'õ'=>'o',
                            'ö'=>'o', 'ø'=>'o', 'ù'=>'u', 'ú'=>'u', 'û'=>'u', 'ý'=>'y', 'ý'=>'y', 'þ'=>'b', 'ÿ'=>'y',
							
							//turkish
							'Ğ'=>'G', 'İ'=>'I', 'Ş'=>'S', 'ğ'=>'g', 'ı'=>'i', 'ş'=>'s', 'ü'=>'u',
							
							//romanian
							'ă'=>'a', 'Ă'=>'A', 'ș'=>'s', 'Ș'=>'S', 'ț'=>'t', 'Ț'=>'T'
							
							);
							
	
	//_____________________________________________
	//friends
	
	$params = array(
		'method' => 'fql.query',
		'query' => "SELECT uid, name FROM user WHERE uid IN (SELECT uid1 FROM friend WHERE uid2 = me()) ORDER BY mutual_friend_count DESC LIMIT 150",
	);
	
	$result = $facebook->api($params);
	$list_friends = array();
	foreach($result as $r){
		//trace("r : ".$r["uid"].", ".$r["name"]);
		$list_friends[] = $r["uid"];
		
		$r["name"] = removeAccents($r["name"], $unwanted_accents);
		$r["name"] = addslashes($r["name"]);
		$list_friends[] = $r["name"];
		
	}
	
	
	
	//_____________________________________________
	//online friend web
	/* 
	$params = array(
		'method' => 'fql.query',
		'query' => "SELECT uid, name, online_presence, devices FROM user WHERE online_presence=='active' AND uid IN (SELECT uid1 FROM friend WHERE uid2 = me()) ORDER BY mutual_friend_count DESC",
	);
	
	$result = $facebook->api($params);
	$list_online_friends = array();
	$list_online_friends_full = array();
	foreach($result as $r){
		$nb_device = count($r["devices"]);
		//trace("r : ".$r["uid"].", ".$r["name"].", online_presence : ".$r["online_presence"]);
		$obj = array("uid"=>$r["uid"], "name"=>$r["name"], "nb_device"=>$nb_device);
		$obj["name"] = removeAccents($obj["name"], $unwanted_accents);
		$list_online_friends_full[] = $obj;
	}
	
	foreach($list_online_friends_full as $f){
		if($f["nb_device"]==0){
			$list_online_friends[] = $f["uid"];
			$list_online_friends[] = $f["name"];
		}
	}
	foreach($list_online_friends_full as $f){
		if($f["nb_device"]==1){
			$list_online_friends[] = $f["uid"];
			$list_online_friends[] = $f["name"];
		}
	}
	foreach($list_online_friends_full as $f){
		if($f["nb_device"]>2){
			$list_online_friends[] = $f["uid"];
			$list_online_friends[] = $f["name"];
		}
	}
	//trace("___________________________");
	for($i=0; $i<count($list_online_friends); $i+= 2){
		trace($list_online_friends[$i+1]);
	}
	*/
	
	
	
	
	
	
	
	
	//______________________________________________
	//user info
	
	$user_profile = $facebook->api('/me');
	$fb_id = $user_profile["id"];
	$fb_nickname = getNicknameFromFacebook($user_profile["first_name"], $user_profile["last_name"]);
	$fb_nickname = removeAccents($fb_nickname, $unwanted_accents);
	//trace("fb_id : ".$fb_id.", fb_nickname : ".$fb_nickname."/");
	
	
	
	
	
	//________________________________________________
	//get id host from request
	
	trace("test request");
	if(isset($_REQUEST['request_ids'])){
		$request_ids = $_REQUEST['request_ids'];
		$request_data = $facebook->api('/me/apprequests/?request_ids='.$request_ids);
		
		
		trace("isset ".$request_ids);
		
		if(isset($request_data['data'][0]['data'])){
			$id_host = $request_data['data'][0]['data']; 
			trace("id_host from REQUEST : ".$id_host);
		}
		
	}
	
	
	
	
	
}



function removeAccents($str, $tab)
{
	
	$str = strtr($str, $tab);
	return $str;
}





function getNicknameFromFacebook($_surname, $_lastname)
{
	/* 
	$output = $_surname." ".substr($_lastname, 0, 1);
	$output = substr($output, 0, MAX_LEN_NICKNAME);
	 */
	$output = $_surname." ".$_lastname;
	return $output;
}

?>